export declare type Maybe<T> = T | null;
export declare type Exact<T extends {
    [key: string]: any;
}> = {
    [K in keyof T]: T[K];
};
/** All built-in and custom scalars, mapped to their actual values */
export declare type Scalars = {
    ID: string;
    String: string;
    Boolean: boolean;
    Int: number;
    Float: number;
    DateTime: any;
    BigInt: any;
    Hash32HexString: any;
    Percentage: any;
};
export declare type BigInt_Comparison_Exp = {
    _eq?: Maybe<Scalars['BigInt']>;
    _gt?: Maybe<Scalars['BigInt']>;
    _gte?: Maybe<Scalars['BigInt']>;
    _in?: Maybe<Array<Scalars['BigInt']>>;
    _is_null?: Maybe<Scalars['Boolean']>;
    _lt?: Maybe<Scalars['BigInt']>;
    _lte?: Maybe<Scalars['BigInt']>;
    _neq?: Maybe<Scalars['BigInt']>;
    _nin?: Maybe<Array<Scalars['BigInt']>>;
};
export declare type Block = {
    __typename?: 'Block';
    createdAt: Scalars['DateTime'];
    createdBy: Scalars['String'];
    epoch?: Maybe<Epoch>;
    epochNo?: Maybe<Scalars['Int']>;
    fees: Scalars['BigInt'];
    hash: Scalars['Hash32HexString'];
    merkelRoot?: Maybe<Scalars['Hash32HexString']>;
    number?: Maybe<Scalars['Int']>;
    slotNo?: Maybe<Scalars['Int']>;
    slotWithinEpoch?: Maybe<Scalars['Int']>;
    previousBlock?: Maybe<Block>;
    nextBlock?: Maybe<Block>;
    size: Scalars['BigInt'];
    transactions: Array<Maybe<Transaction>>;
    transactions_aggregate: Transaction_Aggregate;
    transactionsCount: Scalars['String'];
};
export declare type BlockTransactionsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Transaction_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Transaction_Bool_Exp>;
};
export declare type BlockTransactions_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Transaction_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Transaction_Bool_Exp>;
};
export declare type Block_Aggregate = {
    __typename?: 'Block_aggregate';
    aggregate?: Maybe<Block_Aggregate_Fields>;
};
export declare type Block_Aggregate_Fields = {
    __typename?: 'Block_aggregate_fields';
    avg: Block_Avg_Fields;
    count: Scalars['String'];
    max: Block_Max_Fields;
    min: Block_Min_Fields;
    sum: Block_Sum_Fields;
};
export declare type Block_Avg_Fields = {
    __typename?: 'Block_avg_fields';
    fees?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
};
export declare type Block_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Block_Bool_Exp>>>;
    _not?: Maybe<Block_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Block_Bool_Exp>>>;
    createdAt?: Maybe<Date_Comparison_Exp>;
    createdBy?: Maybe<Text_Comparison_Exp>;
    epoch?: Maybe<Epoch_Bool_Exp>;
    fees?: Maybe<BigInt_Comparison_Exp>;
    hash?: Maybe<Hash32HexString_Comparison_Exp>;
    number?: Maybe<Int_Comparison_Exp>;
    previousBlock?: Maybe<Block_Bool_Exp>;
    nextBlock?: Maybe<Block_Bool_Exp>;
    size?: Maybe<BigInt_Comparison_Exp>;
    slotNo?: Maybe<Int_Comparison_Exp>;
    slotWithinEpoch?: Maybe<Int_Comparison_Exp>;
    transactions?: Maybe<Transaction_Bool_Exp>;
    transactionsCount?: Maybe<Text_Comparison_Exp>;
};
export declare type Block_Max_Fields = {
    __typename?: 'Block_max_fields';
    fees?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
};
export declare type Block_Min_Fields = {
    __typename?: 'Block_min_fields';
    fees?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
};
export declare type Block_Order_By = {
    createdAt?: Maybe<Order_By>;
    createdBy?: Maybe<Order_By>;
    epoch?: Maybe<Epoch_Order_By>;
    fees?: Maybe<Order_By>;
    number?: Maybe<Order_By_With_Nulls>;
    size?: Maybe<Order_By>;
    slotNo?: Maybe<Order_By_With_Nulls>;
    slotWithinEpoch?: Maybe<Order_By_With_Nulls>;
    transactionsCount?: Maybe<Order_By>;
};
export declare type Block_Sum_Fields = {
    __typename?: 'Block_sum_fields';
    fees?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
};
export declare type Cardano = {
    __typename?: 'Cardano';
    tip: Block;
    currentEpoch: Epoch;
    networkName: Scalars['String'];
    protocolConst: Scalars['Int'];
    slotDuration: Scalars['Int'];
    slotsPerEpoch: Scalars['Int'];
    startTime: Scalars['DateTime'];
};
export declare type CardanoDbMeta = {
    __typename?: 'CardanoDbMeta';
    initialized: Scalars['Boolean'];
    slotDiffFromNetworkTip: Scalars['Int'];
    syncPercentage: Scalars['Percentage'];
};
export declare type Date_Comparison_Exp = {
    _eq?: Maybe<Scalars['DateTime']>;
    _gt?: Maybe<Scalars['DateTime']>;
    _gte?: Maybe<Scalars['DateTime']>;
    _in?: Maybe<Array<Maybe<Scalars['DateTime']>>>;
    _lt?: Maybe<Scalars['DateTime']>;
    _lte?: Maybe<Scalars['DateTime']>;
    _neq?: Maybe<Scalars['DateTime']>;
    _nin?: Maybe<Array<Maybe<Scalars['DateTime']>>>;
};
export declare type Epoch = {
    __typename?: 'Epoch';
    blocks: Array<Block>;
    blocks_aggregate: Block_Aggregate;
    blocksCount: Scalars['String'];
    output: Scalars['String'];
    number: Scalars['Int'];
    transactionsCount: Scalars['String'];
    startedAt: Scalars['DateTime'];
    lastBlockTime: Scalars['DateTime'];
};
export declare type EpochBlocksArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type EpochBlocks_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type Epoch_Aggregate = {
    __typename?: 'Epoch_aggregate';
    aggregate: Epoch_Aggregate_Fields;
};
export declare type Epoch_Aggregate_Fields = {
    __typename?: 'Epoch_aggregate_fields';
    count: Scalars['String'];
    max: Epoch_Max_Fields;
    min: Epoch_Min_Fields;
    sum: Epoch_Sum_Fields;
};
export declare type Epoch_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Epoch_Bool_Exp>>>;
    _not?: Maybe<Epoch_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Epoch_Bool_Exp>>>;
    blocks?: Maybe<Block_Bool_Exp>;
    blocksCount?: Maybe<Text_Comparison_Exp>;
    number?: Maybe<Int_Comparison_Exp>;
    output?: Maybe<Text_Comparison_Exp>;
    transactionsCount?: Maybe<Text_Comparison_Exp>;
};
export declare type Epoch_Max_Fields = {
    __typename?: 'Epoch_max_fields';
    blocksCount: Scalars['String'];
    number: Scalars['Int'];
    output: Scalars['String'];
    transactionsCount: Scalars['String'];
};
export declare type Epoch_Min_Fields = {
    __typename?: 'Epoch_min_fields';
    blocksCount: Scalars['String'];
    output: Scalars['String'];
    transactionsCount: Scalars['String'];
};
export declare type Epoch_Order_By = {
    blocksCount?: Maybe<Order_By>;
    number?: Maybe<Order_By>;
    output?: Maybe<Order_By>;
    transactionsCount?: Maybe<Order_By>;
};
export declare type Epoch_Sum_Fields = {
    __typename?: 'Epoch_sum_fields';
    blocksCount: Scalars['String'];
    output: Scalars['String'];
    transactionsCount: Scalars['String'];
};
export declare type Hash32HexString_Comparison_Exp = {
    _eq?: Maybe<Scalars['Hash32HexString']>;
    _in?: Maybe<Array<Maybe<Scalars['Hash32HexString']>>>;
    _neq?: Maybe<Scalars['Hash32HexString']>;
    _nin?: Maybe<Array<Maybe<Scalars['Hash32HexString']>>>;
};
export declare type Int_Comparison_Exp = {
    _eq?: Maybe<Scalars['Int']>;
    _gt?: Maybe<Scalars['Int']>;
    _gte?: Maybe<Scalars['Int']>;
    _in?: Maybe<Array<Scalars['Int']>>;
    _is_null?: Maybe<Scalars['Boolean']>;
    _lt?: Maybe<Scalars['Int']>;
    _lte?: Maybe<Scalars['Int']>;
    _neq?: Maybe<Scalars['Int']>;
    _nin?: Maybe<Array<Scalars['Int']>>;
};
export declare enum Order_By {
    Asc = "asc",
    Desc = "desc"
}
export declare enum Order_By_With_Nulls {
    Asc = "asc",
    AscNullsFirst = "asc_nulls_first",
    AscNullsLast = "asc_nulls_last",
    Desc = "desc",
    DescNullsFirst = "desc_nulls_first",
    DescNullsLast = "desc_nulls_last"
}
export declare type Percentage_Comparison_Exp = {
    _eq?: Maybe<Scalars['Percentage']>;
    _gt?: Maybe<Scalars['Percentage']>;
    _gte?: Maybe<Scalars['Percentage']>;
    _lt?: Maybe<Scalars['Percentage']>;
    _lte?: Maybe<Scalars['Percentage']>;
    _neq?: Maybe<Scalars['Percentage']>;
};
export declare type Query = {
    __typename?: 'Query';
    blocks: Array<Maybe<Block>>;
    blocks_aggregate: Block_Aggregate;
    epochs: Array<Maybe<Epoch>>;
    epochs_aggregate: Epoch_Aggregate;
    cardano: Cardano;
    cardanoDbMeta: CardanoDbMeta;
    transactions: Array<Maybe<Transaction>>;
    transactions_aggregate: Transaction_Aggregate;
    utxos: Array<Maybe<TransactionOutput>>;
    utxos_aggregate: TransactionOutput_Aggregate;
};
export declare type QueryBlocksArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type QueryBlocks_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type QueryEpochsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Epoch_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Epoch_Bool_Exp>;
};
export declare type QueryEpochs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Epoch_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Epoch_Bool_Exp>;
};
export declare type QueryTransactionsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Transaction_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Transaction_Bool_Exp>;
};
export declare type QueryTransactions_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Transaction_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Transaction_Bool_Exp>;
};
export declare type QueryUtxosArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<TransactionOutput_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionOutput_Bool_Exp>;
};
export declare type QueryUtxos_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<TransactionOutput_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionOutput_Bool_Exp>;
};
export declare type Text_Comparison_Exp = {
    _eq?: Maybe<Scalars['String']>;
    _gt?: Maybe<Scalars['String']>;
    _gte?: Maybe<Scalars['String']>;
    _ilike?: Maybe<Scalars['String']>;
    _in?: Maybe<Array<Maybe<Scalars['String']>>>;
    _is_null?: Maybe<Scalars['Boolean']>;
    _like?: Maybe<Scalars['String']>;
    _lt?: Maybe<Scalars['String']>;
    _lte?: Maybe<Scalars['String']>;
    _neq?: Maybe<Scalars['String']>;
    _nilike?: Maybe<Scalars['String']>;
    _nin?: Maybe<Array<Maybe<Scalars['String']>>>;
    _nlike?: Maybe<Scalars['String']>;
    _nsimilar?: Maybe<Scalars['String']>;
    _similar?: Maybe<Scalars['String']>;
};
export declare type Transaction = {
    __typename?: 'Transaction';
    block?: Maybe<Block>;
    blockIndex: Scalars['Int'];
    fee: Scalars['BigInt'];
    hash: Scalars['Hash32HexString'];
    inputs: Array<TransactionInput>;
    inputs_aggregate?: Maybe<TransactionInput_Aggregate>;
    outputs: Array<TransactionOutput>;
    outputs_aggregate?: Maybe<TransactionOutput_Aggregate>;
    size: Scalars['BigInt'];
    totalOutput: Scalars['String'];
    includedAt: Scalars['DateTime'];
};
export declare type TransactionInputsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionInput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionInput_Bool_Exp>;
};
export declare type TransactionInputs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionInput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionInput_Bool_Exp>;
};
export declare type TransactionOutputsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionOutput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionOutput_Bool_Exp>;
};
export declare type TransactionOutputs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionOutput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionOutput_Bool_Exp>;
};
export declare type Transaction_Aggregate = {
    __typename?: 'Transaction_aggregate';
    aggregate?: Maybe<Transaction_Aggregate_Fields>;
};
export declare type Transaction_Aggregate_Fields = {
    __typename?: 'Transaction_aggregate_fields';
    avg: Transaction_Avg_Fields;
    count: Scalars['String'];
    max: Transaction_Max_Fields;
    min: Transaction_Min_Fields;
    sum: Transaction_Sum_Fields;
};
export declare type Transaction_Avg_Fields = {
    __typename?: 'Transaction_avg_fields';
    fee?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    totalOutput?: Maybe<Scalars['Float']>;
};
export declare type Transaction_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Transaction_Bool_Exp>>>;
    _not?: Maybe<Transaction_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Transaction_Bool_Exp>>>;
    block?: Maybe<Block_Bool_Exp>;
    blockIndex?: Maybe<Int_Comparison_Exp>;
    fee?: Maybe<BigInt_Comparison_Exp>;
    hash?: Maybe<Hash32HexString_Comparison_Exp>;
    includedAt?: Maybe<Date_Comparison_Exp>;
    inputs?: Maybe<TransactionInput_Bool_Exp>;
    outputs?: Maybe<TransactionOutput_Bool_Exp>;
    size?: Maybe<BigInt_Comparison_Exp>;
    totalOutput?: Maybe<Text_Comparison_Exp>;
};
export declare type Transaction_Max_Fields = {
    __typename?: 'Transaction_max_fields';
    fee?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
    totalOutput?: Maybe<Scalars['String']>;
};
export declare type Transaction_Min_Fields = {
    __typename?: 'Transaction_min_fields';
    fee?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
    totalOutput?: Maybe<Scalars['String']>;
};
export declare type Transaction_Order_By = {
    block?: Maybe<Order_By>;
    blockIndex?: Maybe<Order_By>;
    fee?: Maybe<Order_By>;
    includedAt?: Maybe<Order_By>;
    size?: Maybe<Order_By>;
    totalOutput?: Maybe<Order_By>;
};
export declare type Transaction_Sum_Fields = {
    __typename?: 'Transaction_sum_fields';
    fee?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
    totalOutput?: Maybe<Scalars['String']>;
};
export declare type TransactionInput = {
    __typename?: 'TransactionInput';
    address: Scalars['String'];
    sourceTransaction: Transaction;
    sourceTxHash: Scalars['Hash32HexString'];
    sourceTxIndex: Scalars['Int'];
    transaction: Transaction;
    txHash: Scalars['Hash32HexString'];
    value: Scalars['String'];
};
export declare type TransactionInput_Aggregate = {
    __typename?: 'TransactionInput_aggregate';
    aggregate?: Maybe<TransactionInput_Aggregate_Fields>;
};
export declare type TransactionInput_Aggregate_Fields = {
    __typename?: 'TransactionInput_aggregate_fields';
    avg: TransactionInput_Avg_Fields;
    count: Scalars['String'];
    max: TransactionInput_Max_Fields;
    min: TransactionInput_Min_Fields;
    sum: TransactionInput_Sum_Fields;
};
export declare type TransactionInput_Avg_Fields = {
    __typename?: 'TransactionInput_avg_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionInput_Bool_Exp = {
    _and?: Maybe<Array<Maybe<TransactionInput_Bool_Exp>>>;
    _not?: Maybe<TransactionInput_Bool_Exp>;
    _or?: Maybe<Array<Maybe<TransactionInput_Bool_Exp>>>;
    address?: Maybe<Text_Comparison_Exp>;
    sourceTransaction?: Maybe<Transaction_Bool_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
    value?: Maybe<Text_Comparison_Exp>;
};
export declare type TransactionInput_Max_Fields = {
    __typename?: 'TransactionInput_max_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionInput_Min_Fields = {
    __typename?: 'TransactionInput_min_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionInput_Order_By = {
    address?: Maybe<Order_By>;
    sourceTxHash?: Maybe<Order_By>;
    txHash?: Maybe<Order_By>;
    value?: Maybe<Order_By>;
};
export declare type TransactionInput_Sum_Fields = {
    __typename?: 'TransactionInput_sum_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionOutput = {
    __typename?: 'TransactionOutput';
    address: Scalars['String'];
    index: Scalars['Int'];
    transaction: Transaction;
    txHash: Scalars['Hash32HexString'];
    value: Scalars['String'];
};
export declare type TransactionOutput_Aggregate = {
    __typename?: 'TransactionOutput_aggregate';
    aggregate?: Maybe<TransactionOutput_Aggregate_Fields>;
};
export declare type TransactionOutput_Aggregate_Fields = {
    __typename?: 'TransactionOutput_aggregate_fields';
    avg: TransactionOutput_Avg_Fields;
    count: Scalars['String'];
    max: TransactionOutput_Max_Fields;
    min: TransactionOutput_Min_Fields;
    sum: TransactionOutput_Sum_Fields;
};
export declare type TransactionOutput_Avg_Fields = {
    __typename?: 'TransactionOutput_avg_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionOutput_Bool_Exp = {
    _and?: Maybe<Array<Maybe<TransactionOutput_Bool_Exp>>>;
    _not?: Maybe<TransactionOutput_Bool_Exp>;
    _or?: Maybe<Array<Maybe<TransactionOutput_Bool_Exp>>>;
    address?: Maybe<Text_Comparison_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
    value?: Maybe<Text_Comparison_Exp>;
};
export declare type TransactionOutput_Max_Fields = {
    __typename?: 'TransactionOutput_max_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionOutput_Min_Fields = {
    __typename?: 'TransactionOutput_min_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionOutput_Order_By = {
    address?: Maybe<Order_By>;
    index?: Maybe<Order_By>;
    txHash?: Maybe<Order_By>;
    value?: Maybe<Order_By>;
};
export declare type TransactionOutput_Sum_Fields = {
    __typename?: 'TransactionOutput_sum_fields';
    value?: Maybe<Scalars['String']>;
};
